unit CheethaScan1;

{$mode objfpc}{$H+}

interface

uses
   Classes, SysUtils, Forms, Controls, Graphics, Dialogs, Buttons, ExtCtrls,
	 StdCtrls, BGRABitmap, BGRADefaultBitmap, BGRABitmapTypes, BGRAVectorize;

type

	 { TForm1 }

   TForm1 = class(TForm)
			Button1: TButton;
			Button2: TButton;
			CheckBox1: TCheckBox;
			ColorButton1: TColorButton;
			ColorButton2: TColorButton;
			ColorButton3: TColorButton;
			Image1: TImage;
			Image2: TImage;
			procedure Button1Click(Sender: TObject);
			procedure Button2Click(Sender: TObject);
   private

   public

   end;

var
   Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

var tmp : TBGRABitmap;
    ar : ArrayOfTPointF;

procedure TForm1.Button1Click(Sender: TObject);
begin
tmp := TBGRABitmap.Create (Image1.Picture.Bitmap);
ar :=VectorizeMonochrome(tmp,1,true);
tmp.Fill (cssWhite);
tmp.DrawPolygonAntialias(ar,ColorButton1.ButtonColor,3,ColorButton2.ButtonColor);
tmp.FloodFill(tmp.width div 2,tmp.height div 2,ColorButton3.ButtonColor, fmSet);
if CheckBox1.Checked then tmp.FloodFill(5,5,self.color, fmSet);

Image2.Canvas.Brush.Color := self.color;
Image2.Canvas.FillRect(0,0,Image2.width, Image2.height);
tmp.Draw(Image2.Canvas,0,0,true);
tmp.free;

end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   close;
end;

end.

